=== modified file 'Makefile'
--- Makefile	2009-05-01 00:25:52 +0000
+++ Makefile	2009-05-01 21:07:23 +0000
@@ -266,13 +266,17 @@
 static:
 	$(PY) scripts/make-static.py
 
-TAGS:
-	ctags -e -R --exclude='*yui/2.6.0*' --exclude='*-min.js' lib/canonical && \
-		ctags -e --exclude=lib/canonical -a -R lib/
-
-tags:
-	ctags -R --exclude='*yui/2.6.0*' --exclude='*-min.js' lib/canonical && \
-		ctags --exclude=lib/canonical -a -R lib/
+TAGS: bin/py
+	# emacs tags
+	bin/tags -e
+
+tags: bin/py
+	# vi tags
+	bin/tags -v
+
+ID: bin/py
+	# idutils ID file
+	bin/tags -i
 
 .PHONY: apidoc check tags TAGS zcmldocs realclean clean debug stop\
 	start run ftest_build ftest_inplace test_build test_inplace pagetests\

=== modified file 'buildout-templates/bin/test.in'
--- buildout-templates/bin/test.in	2009-05-01 00:25:52 +0000
+++ buildout-templates/bin/test.in	2009-05-01 21:07:23 +0000
@@ -90,26 +90,26 @@
 
 # Silence spurious warnings. Note that this does not propagate to subprocesses
 # so this is not always as easy as it seems. Warnings caused by our code that
-# need to be silenced should have an accomponied Bug reference.
+# need to be silenced should have an accompanied Bug reference.
 #
 warnings.filterwarnings(
-        'ignore', 'PyCrypto', RuntimeWarning, 'twisted[.]conch[.]ssh'
-        )
-warnings.filterwarnings(
-        'ignore', 'twisted.python.plugin', DeprecationWarning,
-        )
-warnings.filterwarnings(
-        'ignore', 'bzrlib.*was deprecated', DeprecationWarning
+    'ignore', 'PyCrypto', RuntimeWarning, 'twisted[.]conch[.]ssh'
+    )
+warnings.filterwarnings(
+    'ignore', 'twisted.python.plugin', DeprecationWarning,
+    )
+warnings.filterwarnings(
+    'ignore', 'bzrlib.*was deprecated', DeprecationWarning
 )
 
 # This warning will be triggered if the beforeTraversal hook fails. We
 # want to ensure it is not raised as an error, as this will mask the real
 # problem.
 warnings.filterwarnings(
-        'always',
-        re.escape('clear_request_started() called outside of a request'),
-        UserWarning
-        )
+    'always',
+    re.escape('clear_request_started() called outside of a request'),
+    UserWarning
+    )
 
 # Any warnings not explicitly silenced are errors
 warnings.filterwarnings('error', append=True)

=== modified file 'setup.py'
--- setup.py	2009-05-01 00:25:52 +0000
+++ setup.py	2009-05-01 21:07:23 +0000
@@ -23,7 +23,6 @@
     license='LGPL v3',
     install_requires=[
         'setuptools',
-        'zope.interface',
         ],
     url='https://launchpad.net/',
     classifiers=[

